ranch:get_status(3)

NAME

ranch:get_status - Get a listener's running state

DESCRIPTION
    get_status(Ref :: ranch_ref()) -> running | suspended

Get a listener's running state.

ARGUMENTS

Ref
    The listener name.

RETURN VALUE

An atom is returned indicating the running status of the listener.

CHANGELOG
    • 1.6: Function introduced.

EXAMPLES

Get a listener's running state
    ranch:get_status(example).

SEE ALSO

ranch:start_listener(3), ranch:stop_listener(3), ranch:suspend_listener(3), ranch:resume_listener(3), ranch:set_transport_options(3), ranch:wait_for_connections(3), ranch(3)